API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
IndexPublic APIManagement APIUsers APIOperations APIMessaging APIReporting APIML API
Data API
IndexPublic APIManagement APIUsers APIOperations APIMessaging APIReporting APIML API
Data API
  1. Deprecated
  • Introduction
  • Sendings
    • Deprecated
      • Predict Sending KPI v1
        POST
      • Explain Sending KPI Prediction v1
        POST
      • Predict Sending KPI In Date Range v1
        POST
      • Explain Sending Text KPI Prediction v1
        POST
    • Predict Sending Text Popularity
      POST
    • Explain Sending Text Popularity Prediction
      POST
    • Predict Sending Time Series Popularity
      POST
    • Explain Sending Time Series Popularity Prediction
      POST
    • Predict Sending Popularity
      POST
    • Predict Bulk Sending Popularity
      POST
    • Explain Sending Popularity Prediction
      POST
    • Recommend sending time
      POST
  • Detect receipt fraud
    POST
  • Predict item classes
    POST
  • Generate Image
    POST
  • Generate Image Caption
    POST
  • Generate Text
    POST
  • Generate Sending Text
    POST
API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
IndexPublic APIManagement APIUsers APIOperations APIMessaging APIReporting APIML API
Data API
IndexPublic APIManagement APIUsers APIOperations APIMessaging APIReporting APIML API
Data API
  1. Deprecated

Explain Sending Text KPI Prediction v1

POST
https://api.mpc.dev.placewise.com/v1/ml/sending/explain_text_kpi_prediction
API Permit:ML:Sending:ExplainTextKPIPrediction
API Context:Loyalty Club
Authorizations:UserToken
Explains prediction for a specific sending text and selected KPI.

Body Parameters#

ParameterTypeRequired?Description
channelStringYesChannel of sending. One of ["sms", "push", "email"]
kpiStringYesKPI of sending. One of ["ctr", "open_rate"]
textStringYesText to explain

Example#

When successful, returns:
{
  "channel": email,
  "kpi": "ctr",
  "influences: [0.1 0.1 0.1 0.1 0 -0.05 -0.05 -0.05 -0.05 -0.05 -0.05 -0.05 -0.05]
}

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.mpc.dev.placewise.com/v1/ml/sending/explain_text_kpi_prediction' \
--header 'X-User-Agent: ApiDog' \
--header 'X-Product-Name: default' \
--header 'X-Loyalty-Club-Slug: infinity-mall' \
--header 'X-Customer: 447' \
--header 'Authorization: Bearer ' \
--header 'X-Client-Authorization: ' \
--header 'Content-Type: application/json' \
--data-raw '{
    "channel": "email",
    "kpi": "ctr",
    "text": "string"
}'
Response Response Example
{
    "influences": [
        0
    ]
}
Previous
Predict Sending KPI In Date Range v1
Next
Predict Sending Text Popularity
Built with